> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantspring.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a shipped revenue report

> Create a "shipped revenue" report (Amazon Vendor). The generated report CSV contains the columns defined in the `ShippedRevenueReportColumns` schema. The 'view' option selects between 'sourcing' and 'manufacturing' data. Use the /reports/status/{reportId} endpoint to check report status and obtain the download URL.



## OpenAPI

````yaml /api-reference/openapi.json post /reports/create/shippedRevenue
openapi: 3.0.1
info:
  title: MerchantSpring Public API
  version: 1.0.0
servers:
  - url: https://mm-api.merchantspring.io
    description: Production
  - url: https://mm-api-staging.merchantspring.io
    description: Staging
security: []
tags:
  - name: channel
    x-group: Channel
  - name: content-change
    x-group: Content Change
  - name: custom-group
    x-group: Custom Group
  - name: order
    x-group: Order
  - name: report
    x-group: Report
  - name: tag
    x-group: Tag
  - name: profitability
    x-group: Profitability
paths:
  /reports/create/shippedRevenue:
    post:
      tags:
        - report
      summary: Create a shipped revenue report
      description: >-
        Create a "shipped revenue" report (Amazon Vendor). The generated report
        CSV contains the columns defined in the `ShippedRevenueReportColumns`
        schema. The 'view' option selects between 'sourcing' and 'manufacturing'
        data. Use the /reports/status/{reportId} endpoint to check report status
        and obtain the download URL.
      operationId: createShippedRevenueReport
      requestBody:
        description: Report criteria
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateShippedRevenueReportRequest'
        required: true
      responses:
        '200':
          description: Successful operation
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateReportResponse'
            text/csv:
              schema:
                $ref: '#/components/schemas/ShippedRevenueReportColumns'
        '400':
          description: Invalid input
          content: {}
      security:
        - api_key: []
components:
  schemas:
    CreateShippedRevenueReportRequest:
      type: object
      properties:
        channelId:
          type: string
        merchantId:
          type: string
        reportOptions:
          $ref: '#/components/schemas/CreateShippedRevenueReportOptions'
    CreateReportResponse:
      type: object
      properties:
        reportId:
          type: string
        reportType:
          type: string
        status:
          type: string
    ShippedRevenueReportColumns:
      type: object
      description: >-
        Columns present in the downloadable Shipped Revenue report CSV (Amazon
        Vendor). The 'view' option selects between 'sourcing' and
        'manufacturing' data branches.
      properties:
        title:
          type: string
          description: Product title
        asin:
          type: string
          description: Amazon Standard Identification Number
        vpi:
          type: string
          description: Vendor Product Identifier
        categoryLabel:
          type: string
          description: Product category
        parentCategory:
          type: string
          description: Parent product category
        brand:
          type: string
          description: Brand name
        shippedRevenue:
          type: number
          description: Shipped revenue (current period)
        priorShippedRevenue:
          type: number
          description: Shipped revenue (prior period)
        shippedCogs:
          type: number
          description: Shipped Cost of Goods Sold (current period)
        priorShippedCogs:
          type: number
          description: Shipped COGS (prior period)
        shippedUnits:
          type: number
          description: Units shipped (current period)
        priorShippedUnits:
          type: number
          description: Units shipped (prior period)
        unitCogs:
          type: number
          description: Cost of goods per unit
        priorUnitCogs:
          type: number
          description: Prior period cost of goods per unit
        amazonMargin:
          type: number
          description: Amazon margin percentage
        priorAmazonMargin:
          type: number
          description: Prior period Amazon margin percentage
        netPureProductMargin:
          type: number
          description: Net pure product margin percentage
    CreateShippedRevenueReportOptions:
      allOf:
        - $ref: '#/components/schemas/CommonReportOptions'
        - type: object
          properties:
            view:
              type: string
              enum:
                - sourcing
                - manufacturing
              description: >-
                The level at which you wish to view revenue metrics - either
                'sourcing' or 'manufacturing'
    CommonReportOptions:
      type: object
      properties:
        fromDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the start of the reporting
            period
        toDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the end of the reporting
            period
        priorFromDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the start of the comparison
            period
        priorToDate:
          type: number
          description: >-
            Unix epoch time (seconds) representing the end of the comparison
            period
        timezone:
          type: string
          description: >-
            The timezone string you wish to see the report in (e.g.
            'America/Los_Angeles') see
            https://en.wikipedia.org/wiki/List_of_tz_database_time_zones
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````